Katello - Bug #7025

on content-host create, default_environment undefined for user
08/11/2014 02:32 PM - dustin tsang

Status: Closed
Priority: Normal
Assignee: dustin tsang
Category: API
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1092712 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/456
Description

content-host create --organization-id=3 --name trialhost1
Could not create content host:
undefined method “default_environment' for #<User:0x0000000976af58>

Associated revisions

Revision 93fc707b - 08/11/2014 02:35 PM - dustin tsang
Fixes #7025 - replace default_environment in sys
In System api, default_environment is still being retrieved from the

User (which is no longer being defined there). This fix obtains the
environment from the user's default_organization.

Revision d2b455a9 - 08/11/2014 04:53 PM - dustin tsang

Merge pull request #4561 from dustint-rh/rm_default_environment_in_sys_api

Fixes #7025 - replace default_environment in sys

History

#1 - 08/11/2014 02:32 PM - dustin tsang
- Bugzilla link set to 1092712

#2 - 08/11/2014 02:35 PM - dustin tsang

- Subject changed from on content-host create default_environment not found for user to on content-host create, default_environment undefined for
user

#3 - 08/11/2014 02:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4561 added
- Pull request deleted ()

#4 - 08/11/2014 05:01 PM - dustin tsang
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|93fc707bf6c5c3fda7b35e0659dada32f41eef80.

#5 - 08/14/2014 08:54 AM - Eric Helms

- Triaged changed from No to Yes
https://projects.theforeman.org/projects/katello/repository/katello/revisions/93fc707bf6c5c3fda7b35e0659da4a32f41eef80

#6 - 08/22/2014 09:29 AM - Eric Helms

- translation missing: en.field_release set to 13
